<?php
/*
Plugin Name: WP Optins
Plugin URI: http://wpoptins.com
Description: The Ultimate Listbuilding Plugin for WordPress!
Author: Derrick Van Dyke
Author URI: http://wpoptins.com
Version: 2.0
*/

############### DO NOT EDIT BELOW THIS LINE #############

define( 'WPOPTINS_PLUGIN_NAME','WP Optins');
define( 'WPOPTINS_VERSION', '2.0' );
define( 'WPOPTINS_URL', plugin_dir_url(__FILE__) );
define( 'WPOPTINS_PATH', plugin_dir_path(__FILE__) );

include "php/functions.php";

$themeFolder = strstr(get_bloginfo('template_directory'),'wp-content/themes/');
if (!is_writable(ABSPATH.$themeFolder) and $_GET['activate']=='true'){
	add_action('admin_notices', 'wpoptins_not_writable',10,'');
}
function wpoptins_not_writable(){
$themeFolder = strstr(get_bloginfo('template_directory'),'wp-content/themes/');
echo '<div class="error"><p>The theme directory /'.$themeFolder.' is not writable. Set permissions on that folder to CHMOD 777 and re-activate the plugin.</p></div>';
}

function installWPOptins() {
	global $wpdb;

	$installed_version = get_option( 'installed_version' );

	$templateDir = WPOPTINS_PATH . 'templates';
	$themeFolder = strstr(get_bloginfo('template_directory'),'wp-content/themes/');
	
	if (is_writable(ABSPATH.$themeFolder) AND is_dir($templateDir)){

		$dh  = opendir($templateDir);
		while (false !== ($filename = readdir($dh))) {
			$templateFiles[] = $filename;
		}
		sort($templateFiles);

		unset($templateFiles['0'],$templateFiles['1']);
		foreach ( $templateFiles as $templateFile ) {
			@copy($templateDir . '/' . $templateFile, ABSPATH . $themeFolder . '/' . $templateFile);
		}
		if(file_exists(ABSPATH.$themeFolder.'/wpoptins_page.php'))unlink(ABSPATH.$themeFolder.'/wpoptins_page.php');
		if(file_exists(ABSPATH.$themeFolder.'/wpoptins_squeeze1.php'))unlink(ABSPATH.$themeFolder.'/wpoptins_squeeze1.php');
		if(file_exists(ABSPATH.$themeFolder.'/wpoptins_squeeze2.php'))unlink(ABSPATH.$themeFolder.'/wpoptins_squeeze2.php');

		update_option('installed_version', WPOPTINS_VERSION);
	}
}

function uninstallWPOptins() {
    global $wpdb;
	$themeFolder = strstr(get_bloginfo('template_directory'),'wp-content/themes/');

    //  the id of our page...
    $squeeze_page_id = get_option( 'squeeze_page_id' );
    if( $squeeze_page_id ) {

        wp_delete_post( $squeeze_page_id ); // this will trash, not delete

    }

    delete_option("squeeze_page_title");
    delete_option("squeeze_page_name");
    delete_option("squeeze_page_id");

	if(file_exists(ABSPATH.$themeFolder.'/wpoptins-page.php')) unlink(ABSPATH.$themeFolder.'/wpoptins-page.php');
	if(file_exists(ABSPATH.$themeFolder.'/wpoptins-style.php'))unlink(ABSPATH.$themeFolder.'/wpoptins-style.php');
}

register_deactivation_hook(__FILE__, 'uninstallWPOptins');

register_activation_hook(__FILE__, 'installWPOptins');

?>